package src;


public class Tablero {
    
    Casilla []casillas; //creo el array de casillas
    Propiedades []propiedades;
    Estacion []estaciones;
    Compania []companias;
    
    public Tablero() 
    {
        casillas = new Casilla[40];
        propiedades = new Propiedades[22];
        estaciones = new Estacion[4];
        companias = new Compania[2];
        
        casillas[0]=new Casilla("Salida",0,false,-1);
        casillas[1]=new Casilla("Fisica de Gestion",60,true,0);
        casillas[2]=new Casilla("Comunidad",0,false,-100); 
        casillas[3]=new Casilla("Administracion de empresas",60,true,1);
        
        casillas[4]=new Casilla("Pago matricula",200,false,-1); 
        casillas[5]=new Casilla("Damas S.A",200,true,-1); 
        casillas[6]=new Casilla("Informatica grafica",100,true,2); 
        casillas[7]=new Casilla("Suerte",0,false,-1);
        casillas[8]=new Casilla("Investigacion operativa",100,true,3); 
        casillas[9]=new Casilla("Inteligencia artificial",120,true,4); 
        
        casillas[10]=new Casilla("Tutoria",0,false,-1); 
        casillas[11]=new Casilla("Contabilidad",140,true,5); 
        casillas[12]=new Casilla("Sevillana",150,true,-1); 
        casillas[13]=new Casilla("Fundamento de computadores",140,true,6); 
        casillas[14]=new Casilla("Metodologia 1",160,true,7);
        
        casillas[15]=new Casilla("Renfe",200,true,-1);        
        casillas[16]=new Casilla("Estructura de datos 1",180,true,8); 
        casillas[17]=new Casilla("Comunidad",0,false,-1); 
        casillas[18]=new Casilla("Arquitectura 1",180,true,9);        
        casillas[19]=new Casilla("Bases de datos 1",200,true,10);
        
        casillas[20]=new Casilla("Santa Tecla",0,false,-1); 
        casillas[21]=new Casilla("Metodologia 2",220,true,11); 
        casillas[22]=new Casilla("Suerte",0,true,-1); 
        casillas[23]=new Casilla("Estructura de datos 2",220,true,12); 
        casillas[24]=new Casilla("Concurrente",240,true,13); 
        casillas[25]=new Casilla("Aeropuerto de Lepe",200,true,-1); 
        
        casillas[26]=new Casilla("Software 1",260,true,14); 
        casillas[27]=new Casilla("Software 2",260,true,15); 
        casillas[28]=new Casilla("Aguas de Huelva",150,true,-1); 
        casillas[29]=new Casilla("Algebra",280,true,16); 
        casillas[30]=new Casilla("Ir a revision de examen",0,false,-1); 
       
        casillas[31]=new Casilla("Calculo",300,true,17); 
        casillas[32]=new Casilla("Estadistica",300,true,18); 
        casillas[33]=new Casilla("Comunidad",0,false,-1); 
        casillas[34]=new Casilla("Analisis numerico 1",320,true,19); 
        casillas[35]=new Casilla("Canoa Huelva-Punta",200,true,-1); 
        casillas[36]=new Casilla("Suerte",0,false,-1);
        
        casillas[37]=new Casilla("Sistemas Operativos",350,true,20); 
        casillas[38]=new Casilla("Pago del Seguro Escolar",75,false,-1); 
        casillas[39]=new Casilla("Programacion Declarativa",400,true,21);        
        
        //Creacion de compania
        companias[0]=new Compania(0,casillas[12].getPrecio(),casillas[12].getNombre());
        companias[1]=new Compania(0,casillas[28].getPrecio(),casillas[28].getNombre());
        
        //Creacion de estaciones
        
        estaciones[0]=new Estacion(25,casillas[5].getPrecio(),casillas[5].getNombre());
        estaciones[1]=new Estacion(25,casillas[15].getPrecio(),casillas[15].getNombre());
        estaciones[2]=new Estacion(25,casillas[25].getPrecio(),casillas[25].getNombre());
        estaciones[3]=new Estacion(25,casillas[35].getPrecio(),casillas[35].getNombre());
        
        
        //Creacion de propiedades
        
        propiedades[0]=new Propiedades(50,2,casillas[1].getNombre(),casillas[1].getPrecio(),0);
        propiedades[1]=new Propiedades(50,4,casillas[3].getNombre(),casillas[3].getPrecio(),0);
        
        propiedades[2]=new Propiedades(50,6,casillas[6].getNombre(),casillas[6].getPrecio(),1);
        propiedades[3]=new Propiedades(50,6,casillas[8].getNombre(),casillas[8].getPrecio(),1);
        propiedades[4]=new Propiedades(50,8,casillas[9].getNombre(),casillas[9].getPrecio(),1);
        
        propiedades[5]=new Propiedades(100,10,casillas[11].getNombre(),casillas[11].getPrecio(),2);
        propiedades[6]=new Propiedades(100,10,casillas[13].getNombre(),casillas[13].getPrecio(),2);
        propiedades[7]=new Propiedades(100,12,casillas[14].getNombre(),casillas[14].getPrecio(),2);
        
        propiedades[8]=new Propiedades(100,14,casillas[16].getNombre(),casillas[16].getPrecio(),3);
        propiedades[9]=new Propiedades(100,14,casillas[18].getNombre(),casillas[18].getPrecio(),3);
        propiedades[10]=new Propiedades(100,16,casillas[19].getNombre(),casillas[19].getPrecio(),3);
        
        propiedades[11]=new Propiedades(150,18,casillas[21].getNombre(),casillas[21].getPrecio(),4);
        propiedades[12]=new Propiedades(150,18,casillas[23].getNombre(),casillas[23].getPrecio(),4);
        propiedades[13]=new Propiedades(150,20,casillas[24].getNombre(),casillas[24].getPrecio(),4);
        
        propiedades[14]=new Propiedades(150,22,casillas[26].getNombre(),casillas[26].getPrecio(),5);
        propiedades[15]=new Propiedades(150,22,casillas[27].getNombre(),casillas[27].getPrecio(),5);
        propiedades[16]=new Propiedades(150,24,casillas[29].getNombre(),casillas[29].getPrecio(),5);
        
        propiedades[17]=new Propiedades(200,26,casillas[31].getNombre(),casillas[31].getPrecio(),6);
        propiedades[18]=new Propiedades(200,26,casillas[32].getNombre(),casillas[32].getPrecio(),6);
        propiedades[19]=new Propiedades(200,28,casillas[34].getNombre(),casillas[34].getPrecio(),6);
        
        propiedades[20]=new Propiedades(200,35,casillas[37].getNombre(),casillas[37].getPrecio(),7);
        propiedades[21]=new Propiedades(200,50,casillas[39].getNombre(),casillas[39].getPrecio(),7);
    
    }
    
    public Casilla getCasilla(int num){
        return casillas[num];
    }
    public void aniadirTarjeta(Casilla a) {
    }

    public void aniadirCasilla() {
        
    }

    public void dibujarTarjetasComunidad() {
    }

    public void dibujarTarjetasSuerte() {
    }

    public void getNumCasilla() {
    }

    public void getPropiedades() {
    }

    public void casillaSuerte() {
    }

    public void numCasillaSuerte() {
    }

    public void quitarTarjeta() {
    }
}
